# Plate To Vin

`POST https://api.agilitycredit.net/v3/p2v`

Docs page: https://apidocs.agilitycredit.com/api/run-p-2-v · Tag: Plate To Vin

Initiates a plate to vin inquiry to retrieve vehicle information based on the provided license plate details. This endpoint processes the request and returns relevant vehicle data or errors if applicable. Use this operation to obtain vehicle information for various applications.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |

## Request body (`application/json`), required

Inquiry request payload

Schema: `PlateToVin`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `plate_number` | string | yes | The plate number of the vehicle. |
| `plate_state` | string | yes | The state in which the vehicle is registered. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Plate to Vin processed successfully | PlateToVinResponse |
| 400 | Bad Request | BadRequestResponsePlateToVin |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `Header`, `Body`.

### Error bodies

400:

```json
{
  "status": "Bad Request - Validation Failed",
  "error": "Failed schema validation. Error: data must contain ['plate_number'] properties, Path: ['data'], Data: {'plate_state': 'CA', 'stage': 'v3'}"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
